Bug 803904 - [abrt] gnumeric-1.11.1-1.fc17: __GI___libc_free: Process /usr/bin/gnumeric-1.11.1 was killed by signal 11 (SIGSEGV)
[abrt] gnumeric-1.11.1-1.fc17: __GI___libc_free: Process /usr/bin/gnumeric-1....
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: goffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:ee20adadfbd04f000a6fb9a8d45...
:
: 808972 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 18:25 EDT by Wolfgang Pirker
Modified: 2012-04-26 15:51 EDT (History)
8 users (show)

See Also:
Fixed In Version: 1.11.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 15:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (32.11 KB, text/plain)
2012-03-15 18:25 EDT, Wolfgang Pirker
no flags Details
File: dso_list (6.32 KB, text/plain)
2012-03-15 18:25 EDT, Wolfgang Pirker
no flags Details
File: backtrace (65.06 KB, text/plain)
2012-03-15 18:25 EDT, Wolfgang Pirker
no flags Details
Tentative patch (670 bytes, patch)
2012-03-17 09:17 EDT, M Welinder
no flags Details | Diff

  None (edit)
Description Wolfgang Pirker 2012-03-15 18:25:02 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gnumeric
crash_function: __GI___libc_free
executable:     /usr/bin/gnumeric-1.11.1
kernel:         3.3.0-0.rc7.git0.2.fc17.x86_64
pid:            12055
pwd:            /home/wolfi
reason:         Process /usr/bin/gnumeric-1.11.1 was killed by signal 11 (SIGSEGV)
time:           Thu 15 Mar 2012 10:24:26 PM CET
uid:            1000
username:       wolfi

backtrace:      Text file, 66618 bytes
dso_list:       Text file, 6468 bytes
maps:           Text file, 32877 bytes

build_ids:
:0c0d8a5934d5b1878ca95b77b3520e89387025fe
:8e283d5e8a5d6fc31e0d3d4e368a8ab855b39eea
:ae1f34abaca7b7ae310a9743c310cfacc38ada5a
:97317d1518e70c97ab14100f4510f2360865cbc3
:6a6f7e91aa12548505e8302f27282865ff2842d3
:766fa7124150058af0f9ce4c39148868b4dbb47f
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:2e9c83ca984afb608a9c0e27ab8dd0b0c4f89746
:e850c9c2577f79b97ad4c53dbf9b0964682dcbaa
:4d9f1e9a6e14bb126793e5796a5951874dd83038
:420ed420ea65f1a2b29d2f66f0037fa959ea0157
:2ee2cde50be866ba369f8d72e087de876bba9457
:cb4d385c55c522feae9fb39650f6f365f568796c
:66ff6e23f48b16dd1cd292e31a109a8c98ff70f2
:8a58512c2cc89530f70932553442289158de3083
:0b5d9b92db76189b74ae7cdb82008acaed95ee14
:757ca756eb2b50976922025117553b85f521de67
:7c51662b4f7175447cd638633fc3fd82f3f01b66
:dd21f08880cf87ac1242266eb1dd7de0c26265ce
:5700354e05ad144ddb4ea0c243bd50fc199e612d
:658cde0cb9c8a75c6f9dd19482bf4cd214194642
:2c09a3f87a92231b0acabb79968d235d61c36967
:664c922731f6c4cf23487ed919d526230cd4f3c8
:348363b75ba2150fca6a94fb3331dfc75a4f026b
:3e9f65a1ee01419219fb006790eb394dab35d0b7
:60110cdea38e8daff98ddc671bc24a2bd469d28a
:5bbbe16527d496a0e0fefc6ba0c0219a71a0e4c1
:d165256ceda157a4b26d699a75915f1b91876acd
:d23ad34ab62b74ab51eb61de167b89aac5fcdc34
:247132297f287226a24c12e683292f5c94013066
:63651cdc0224824a9c9324c77c3b5887378e871d
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:852fa36b52f614e2475bc4493068c373ebf6d0da
:4f9a85443f33acbad2eb0068b0d8128b38944b9f
:dc97f77dc1397ce4190c83988e15fe8b6d86e30a
:b5797b67e070ac4ccaff8d7180cf635fa0f31cbf
:eaa4f6a4abeceb61472f6ae9699ebf797e26b882
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:4d89d1fbecbda145cb96c2e58e8fdc79a3c1ba5d
:652697d945b4084f8ecf3bbd2eeb5d33b69aff4f
:5bc2d347a293d92e3c373d09875abb8a267a9fc4
:ab2bd615e527b6bae2c16e7aad4c2794acbec974
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:a9eb9e4d2da6b047bad0601ad65f06ea8afb3603
:7c35310fc506498c612d5d982ab03becc4b4817c
:b1ad69e330862e7b668e2321fe3096c23b54f4de
:d7afccf14cbfdc28badc14fe92433b781eb1c786
:666abf228c966f37766ad17cd64ba794136e9ac9
:d804f8ee47797da9213a92f00cd095ecada8d79f
:598ac1ab8dcdb0bd5573fd4b812713b5ef138892
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1fa4aa0f57b72034546fd97a1e0520e7d6502e0d
:277d74794a8d683ef066f298ec72b16b3a5ea5b2
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:f0264e76a3f8ec444874b1a23d68c2ecaeba5e1c
:7a19fd8074fd835024c84b4e6725f7827f3178a3
:2a19651717ca94078d6f064b28d9f7f4985de0ae
:76fae8d5d0d0171cf039cff5c0eeaa58fc592df9
:3aa364e64dd370c14adc27be6df2d70960406d7e
:46fe2763c4865dc6cd3b28818e63f42f4e3b0139

comment:
:gnumeric does usually not close properly; a crash message appears.
:It seems with empty spreadsheets it happens less often.

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1139
:HOSTNAME=localhost.wolfisfedpc
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/wolfi/.gnupg/S.gpg-agent:1164:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-n5lguP
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=wolfi
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-ojHmlIEbB974/agent.974
:USERNAME=wolfi
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/wolfi
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/wolfi/.local/bin:/home/wolfi/bin
:QT_IM_MODULE=xim
:PWD=/home/wolfi
:XMODIFIERS=@im=none
:ANDROID_SDK=/opt/android-sdk
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=972
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/wolfi
:XDG_SEAT=seat0
:LOGNAME=wolfi
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vV0jZFCJN0,guid=3b783694adc81427afcdad0800000025
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:ANDROID_NDK=/opt/android-ndk
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/wolfi
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-wolfi-8xOU5l/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1173,unix/unix:/tmp/.ICE-unix/1173
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-panel/gnumeric/1184-15-localhost.wolfisfedpc_TIME18157273

var_log_messages:
:Mar 12 02:00:23 localhost abrt[21767]: Saved core dump of pid 28697 (/usr/bin/gnumeric-1.11.1) to /var/spool/abrt/ccpp-2012-03-12-02:00:22-28697 (38502400 bytes)
:Mar 15 11:03:35 localhost abrt[13271]: Saved core dump of pid 12202 (/usr/bin/gnumeric-1.11.1) to /var/spool/abrt/ccpp-2012-03-15-11:03:34-12202 (37134336 bytes)
:Mar 15 22:23:53 localhost abrt[12009]: Saved core dump of pid 29371 (/usr/bin/gnumeric-1.11.1) to /var/spool/abrt/ccpp-2012-03-15-22:23:51-29371 (42827776 bytes)
:Mar 15 22:24:26 localhost abrt[12062]: Saved core dump of pid 12055 (/usr/bin/gnumeric-1.11.1) to /var/spool/abrt/ccpp-2012-03-15-22:24:26-12055 (33431552 bytes)
Comment 1 Wolfgang Pirker 2012-03-15 18:25:08 EDT
Created attachment 570442 [details]
File: maps
Comment 2 Wolfgang Pirker 2012-03-15 18:25:10 EDT
Created attachment 570443 [details]
File: dso_list
Comment 3 Wolfgang Pirker 2012-03-15 18:25:16 EDT
Created attachment 570444 [details]
File: backtrace
Comment 4 Julian Sikorski 2012-03-16 04:04:22 EDT
Could you try with 1.11.2 which just got pushed to testing?
Comment 5 Wolfgang Pirker 2012-03-16 10:46:14 EDT
ok. I tried it on the new version. But this crashs still happen at almost always when I close gnumeric. In gnote happened the similar crashs a few weeks ago, but this is fixed now.

when I open gnumeric in terminal and close it, this output appears in terminal:
Gtk-CRITICAL **: gtk_tree_selection_get_selected: assertion `GTK_IS_TREE_SELECTION (selection)' failed
Segmentation fault (core dumped)
Comment 6 Julian Sikorski 2012-03-16 13:53:23 EDT
Hmm, I think I can reproduce it myself. Morten, do you have any ideas?
Comment 7 M Welinder 2012-03-16 14:52:29 EDT
No idea.  It obviously doesn't happen here.

It looks like a job for valgrind.

    G_SLICE=always-malloc /path/to/gnumeric
Comment 8 M Welinder 2012-03-16 14:55:37 EDT
Also: what versions of glib/gobject/gtk+ are in play?
Comment 9 Wolfgang Pirker 2012-03-16 17:33:50 EDT
ok the versions are:
gobject-introspection version:
1.31.20-1
gtk+: 1.2.10-72
glib 1.2.10-36
gtk3: 3.3.18-1

Later I will test if I get the same crashs on a fresh 17-Beta.TC1 live medium. Maybe I also install and update it. Tomorrow I'll report back if these crashs still happen then.
Comment 10 Julian Sikorski 2012-03-17 03:57:00 EDT
[julas@branched ~]$ export G_SLICE=always-malloc
[julas@branched ~]$ valgrind gnumeric
==1819== Memcheck, a memory error detector
==1819== Copyright (C) 2002-2011, and GNU GPL'd, by Julian Seward et al.
==1819== Using Valgrind-3.7.0 and LibVEX; rerun with -h for copyright info
==1819== Command: gnumeric
==1819== 
==1819== Conditional jump or move depends on uninitialised value(s)
==1819==    at 0x4017D96: index (strchr.S:56)
==1819==    by 0x40079E7: expand_dynamic_string_token (dl-load.c:430)
==1819==    by 0x400827C: _dl_map_object (dl-load.c:2288)
==1819==    by 0x400171D: map_doit (rtld.c:631)
==1819==    by 0x400ECB5: _dl_catch_error (dl-error.c:178)
==1819==    by 0x4000EE3: do_preload (rtld.c:820)
==1819==    by 0x40040B4: dl_main (rtld.c:1717)
==1819==    by 0x40151DA: _dl_sysdep_start (dl-sysdep.c:244)
==1819==    by 0x4004EF1: _dl_start (rtld.c:336)
==1819==    by 0x4001537: ??? (in /usr/lib64/ld-2.15.so)
==1819== 
==1819== Conditional jump or move depends on uninitialised value(s)
==1819==    at 0x4017D9B: index (strchr.S:59)
==1819==    by 0x40079E7: expand_dynamic_string_token (dl-load.c:430)
==1819==    by 0x400827C: _dl_map_object (dl-load.c:2288)
==1819==    by 0x400171D: map_doit (rtld.c:631)
==1819==    by 0x400ECB5: _dl_catch_error (dl-error.c:178)
==1819==    by 0x4000EE3: do_preload (rtld.c:820)
==1819==    by 0x40040B4: dl_main (rtld.c:1717)
==1819==    by 0x40151DA: _dl_sysdep_start (dl-sysdep.c:244)
==1819==    by 0x4004EF1: _dl_start (rtld.c:336)
==1819==    by 0x4001537: ??? (in /usr/lib64/ld-2.15.so)
==1819== 

** WARNING **: Running under buggy valgrind, see http://bugs.kde.org/show_bug.cgi?id=164298
==1819== Invalid read of size 8
==1819==    at 0x8780767: wcslen (wcslen.S:55)
==1819==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1819==    by 0x7F1B81B: g_utf8_collate_key (gunicollate.c:397)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89BD: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1819==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1819==    by 0x4032D0: main (main-application.c:271)
==1819==  Address 0x15826b50 is 48 bytes inside a block of size 52 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89BD: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1819==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1819==    by 0x4032D0: main (main-application.c:271)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x8780767: wcslen (wcslen.S:55)
==1819==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1819==    by 0x7F1B840: g_utf8_collate_key (gunicollate.c:399)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89BD: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1819==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1819==    by 0x4032D0: main (main-application.c:271)
==1819==  Address 0x15826b50 is 48 bytes inside a block of size 52 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89BD: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1819==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1819==    by 0x4032D0: main (main-application.c:271)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878074F: wcslen (wcslen.S:48)
==1819==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1819==    by 0x7F1B81B: g_utf8_collate_key (gunicollate.c:397)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1819==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1819==    by 0x4032D0: main (main-application.c:271)
==1819==  Address 0x15826db0 is 32 bytes inside a block of size 36 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1819==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1819==    by 0x4032D0: main (main-application.c:271)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878074F: wcslen (wcslen.S:48)
==1819==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1819==    by 0x7F1B840: g_utf8_collate_key (gunicollate.c:399)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1819==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1819==    by 0x4032D0: main (main-application.c:271)
==1819==  Address 0x15826db0 is 32 bytes inside a block of size 36 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1819==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1819==    by 0x4032D0: main (main-application.c:271)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878077F: wcslen (wcslen.S:62)
==1819==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1819==    by 0x7F1B81B: g_utf8_collate_key (gunicollate.c:397)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4F6BCA5: plugin_service_function_group_activate (gnm-plugin.c:195)
==1819==    by 0x53D038C: go_plugin_activate (go-plugin.c:988)
==1819==    by 0x53D04AF: go_plugin_db_activate_plugin_list (go-plugin.c:1458)
==1819==    by 0x53D0DE2: go_plugins_init (go-plugin.c:1814)
==1819==    by 0x4033AF: main (main-application.c:300)
==1819==  Address 0x17880d58 is 72 bytes inside a block of size 76 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4F6BCA5: plugin_service_function_group_activate (gnm-plugin.c:195)
==1819==    by 0x53D038C: go_plugin_activate (go-plugin.c:988)
==1819==    by 0x53D04AF: go_plugin_db_activate_plugin_list (go-plugin.c:1458)
==1819==    by 0x53D0DE2: go_plugins_init (go-plugin.c:1814)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878077F: wcslen (wcslen.S:62)
==1819==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1819==    by 0x7F1B840: g_utf8_collate_key (gunicollate.c:399)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4F6BCA5: plugin_service_function_group_activate (gnm-plugin.c:195)
==1819==    by 0x53D038C: go_plugin_activate (go-plugin.c:988)
==1819==    by 0x53D04AF: go_plugin_db_activate_plugin_list (go-plugin.c:1458)
==1819==    by 0x53D0DE2: go_plugins_init (go-plugin.c:1814)
==1819==    by 0x4033AF: main (main-application.c:300)
==1819==  Address 0x17880d58 is 72 bytes inside a block of size 76 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1819==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1819==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1819==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1819==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1819==    by 0x4F6BCA5: plugin_service_function_group_activate (gnm-plugin.c:195)
==1819==    by 0x53D038C: go_plugin_activate (go-plugin.c:988)
==1819==    by 0x53D04AF: go_plugin_db_activate_plugin_list (go-plugin.c:1458)
==1819==    by 0x53D0DE2: go_plugins_init (go-plugin.c:1814)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x8780767: wcslen (wcslen.S:55)
==1819==    by 0x8788DDA: wcscoll_l (strcoll_l.c:111)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819==  Address 0x183856e8 is 0 bytes after a block of size 56 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B76B: g_utf8_collate (gunicollate.c:115)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878074F: wcslen (wcslen.S:48)
==1819==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819==  Address 0x18385758 is 40 bytes inside a block of size 44 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x8780797: wcslen (wcslen.S:69)
==1819==    by 0x8788DDA: wcscoll_l (strcoll_l.c:111)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819==  Address 0x183857f0 is 80 bytes inside a block of size 84 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B76B: g_utf8_collate (gunicollate.c:115)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x8780797: wcslen (wcslen.S:69)
==1819==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819==    by 0x7C6FC77: g_object_constructor (gobject.c:1849)
==1819==  Address 0x18385890 is 80 bytes inside a block of size 84 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x8780767: wcslen (wcslen.S:55)
==1819==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819==    by 0x7C6FC77: g_object_constructor (gobject.c:1849)
==1819==  Address 0x18385c38 is 56 bytes inside a block of size 60 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878074F: wcslen (wcslen.S:48)
==1819==    by 0x8788DDA: wcscoll_l (strcoll_l.c:111)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819==    by 0x7C6FC77: g_object_constructor (gobject.c:1849)
==1819==    by 0x7C71760: g_object_newv (gobject.c:1632)
==1819==  Address 0x18386168 is 40 bytes inside a block of size 44 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B76B: g_utf8_collate (gunicollate.c:115)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819==    by 0x7C6FC77: g_object_constructor (gobject.c:1849)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878077F: wcslen (wcslen.S:62)
==1819==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819==  Address 0x183863c0 is 64 bytes inside a block of size 68 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878077F: wcslen (wcslen.S:62)
==1819==    by 0x8788DDA: wcscoll_l (strcoll_l.c:111)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1819==  Address 0x18386550 is 64 bytes inside a block of size 68 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B76B: g_utf8_collate (gunicollate.c:115)
==1819==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1819==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1819==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1819== 

** WARNING **: In the `_Edycja->Wy_czyść' menu, the key `o' is used for both `K_omentarze' and `F_ormats & Hyperlinks in Filtered Rows'.

** WARNING **: In the `_Edycja->_Usuń' menu, the key `o' is used for both `K_omórki...' and `K_omentarze'.

** WARNING **: In the `_Edycja->A_rkusz' menu, the key `z' is used for both `_Zarządzaj arkuszami...' and `_Zduplikuj'.

** WARNING **: In the `_Edycja->Zaz_naczenie' menu, the key `w' is used for both `_Wszystko' and `_Wiersz'.

** WARNING **: In the `_Edycja->Zaz_naczenie' menu, the key `d' is used for both `_Depends' and `Przejdź _do komórki...'.

** WARNING **: In the `_Edycja' menu, the key `n' is used for both `Cof_nij' and `Zaz_naczenie'.

** WARNING **: In the `_Widok' menu, the key `w' is used for both `Nowy _widok...' and `_Windows'.

** WARNING **: In the `_Widok' menu, the key `p' is used for both `View _Properties...' and `_Powiększenie...'.

** WARNING **: In the `W_staw' menu, the key `k' is used for both `_Kolumny' and `Wy_kres...'.

** WARNING **: In the `W_staw' menu, the key `o' is used for both `K_omórki...' and `_Object'.

** WARNING **: In the `W_staw' menu, the key `o' is used for both `K_omórki...' and `_Obraz...'.

** WARNING **: In the `W_staw' menu, the key `o' is used for both `K_omórki...' and `K_omentarz...'.

** WARNING **: In the `W_staw' menu, the key `k' is used for both `_Kolumny' and `Odnośni_k...'.

** WARNING **: In the `_Format->_Arkusz' menu, the key `n' is used for both `Zmień _nazwę' and `Ukrywanie pionowego _nagłówka'.

** WARNING **: In the `_Statistics' menu, the key `p' is used for both `_Próbkowanie...' and `De_pendent Observations'.

** WARNING **: In the `_Statistics->_Two Sample Tests' menu, the key `d' is used for both `Two Me_dians' and `_Dwie wariancje: test F...'.

** WARNING **: In the `' menu, the key `s' is used for both `W_staw' and `_Statistics'.

** WARNING **: In the `_Dane->F_ill' menu, the key `s' is used for both `_Scal...' and `_Serie...'.

** WARNING **: In the `_Dane' menu, the key `s' is used for both `Po_sortuj...' and `_Sprawdź poprawność...'.

** WARNING **: In the `_Dane->_Grupy i konspekt' menu, the key `w' is used for both `_Wyświetl szczegóły' and `_Wiersze podsumowań po_niżej szczegółów'.
==1819== Invalid read of size 8
==1819==    at 0x8780767: wcslen (wcslen.S:55)
==1819==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1819==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1819==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1819==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1819==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1819==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1819==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1819==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1819==    by 0x7EF1B57: g_main_context_iterate.isra.23 (gmain.c:3118)
==1819==  Address 0x16cfc948 is 56 bytes inside a block of size 60 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1819==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1819==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1819==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1819==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1819==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1819==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1819==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1819==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878077F: wcslen (wcslen.S:62)
==1819==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1819==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1819==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1819==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1819==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1819==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1819==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1819==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1819==    by 0x7EF1B57: g_main_context_iterate.isra.23 (gmain.c:3118)
==1819==  Address 0x16ce33d8 is 72 bytes inside a block of size 76 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1819==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1819==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1819==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1819==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1819==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1819==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1819==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1819==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x878074F: wcslen (wcslen.S:48)
==1819==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1819==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1819==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1819==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1819==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1819==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1819==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1819==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1819==    by 0x7EF1B57: g_main_context_iterate.isra.23 (gmain.c:3118)
==1819==  Address 0x16ce3798 is 0 bytes after a block of size 40 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1819==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1819==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1819==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1819==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1819==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1819==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1819==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1819==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x8780797: wcslen (wcslen.S:69)
==1819==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1819==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1819==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1819==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1819==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1819==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1819==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1819==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1819==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1819==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1819==    by 0x7EF1B57: g_main_context_iterate.isra.23 (gmain.c:3118)
==1819==  Address 0x16ce3c00 is 80 bytes inside a block of size 84 alloc'd
==1819==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1819==    by 0x7EF743E: g_malloc (gmem.c:159)
==1819==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1819==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1819==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1819==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1819==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1819==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1819==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1819==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1819==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1819==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1819== 

Gtk-CRITICAL **: gtk_tree_selection_get_selected: assertion `GTK_IS_TREE_SELECTION (selection)' failed
==1819== Invalid read of size 8
==1819==    at 0x5447711: set_entry_val (go-action-combo-text.c:70)
==1819==    by 0x544788B: cb_entry_changed (go-action-combo-text.c:85)
==1819==    by 0x539D5B0: go__BOOLEAN__POINTER (go-marshalers.c:126)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C83836: g_signal_emitv (gsignal.c:3037)
==1819==    by 0x5445335: go_signal_emit.constprop.0 (go-combo-text.c:133)
==1819==    by 0x5445441: cb_list_changed (go-combo-text.c:170)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1819==    by 0x7C847C1: g_signal_emit (gsignal.c:3352)
==1819==  Address 0x18399c20 is 48 bytes inside a block of size 168 free'd
==1819==    at 0x4C279AE: free (vg_replace_malloc.c:427)
==1819==    by 0x7EF754E: g_free (gmem.c:252)
==1819==    by 0x7F0B94E: g_slice_free1 (gslice.c:1111)
==1819==    by 0x7C8B8EB: g_type_free_instance (gtype.c:1937)
==1819==    by 0x6306A0A: gtk_activatable_do_set_related_action (gtkactivatable.c:455)
==1819==    by 0x64EA9A0: gtk_tool_item_dispose (gtktoolitem.c:317)
==1819==    by 0x7C70BD0: g_object_run_dispose (gobject.c:1061)
==1819==    by 0x64E44DE: gtk_toolbar_forall (gtktoolbar.c:2554)
==1819==    by 0x636BCB5: gtk_container_destroy (gtkcontainer.c:1369)
==1819==    by 0x7C6A742: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C7D4: signal_emit_unlocked_R (gsignal.c:3663)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1819== 
==1819== Invalid free() / delete / delete[] / realloc()
==1819==    at 0x4C279AE: free (vg_replace_malloc.c:427)
==1819==    by 0x7EF754E: g_free (gmem.c:252)
==1819==    by 0x5447721: set_entry_val (go-action-combo-text.c:71)
==1819==    by 0x544788B: cb_entry_changed (go-action-combo-text.c:85)
==1819==    by 0x539D5B0: go__BOOLEAN__POINTER (go-marshalers.c:126)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C83836: g_signal_emitv (gsignal.c:3037)
==1819==    by 0x5445335: go_signal_emit.constprop.0 (go-combo-text.c:133)
==1819==    by 0x5445441: cb_list_changed (go-combo-text.c:170)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==  Address 0xaaaaaaaaaaaaaaaa is not stack'd, malloc'd or (recently) free'd
==1819== 
==1819== Invalid write of size 8
==1819==    at 0x544772A: set_entry_val (go-action-combo-text.c:72)
==1819==    by 0x544788B: cb_entry_changed (go-action-combo-text.c:85)
==1819==    by 0x539D5B0: go__BOOLEAN__POINTER (go-marshalers.c:126)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C83836: g_signal_emitv (gsignal.c:3037)
==1819==    by 0x5445335: go_signal_emit.constprop.0 (go-combo-text.c:133)
==1819==    by 0x5445441: cb_list_changed (go-combo-text.c:170)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1819==    by 0x7C847C1: g_signal_emit (gsignal.c:3352)
==1819==  Address 0x18399c20 is 48 bytes inside a block of size 168 free'd
==1819==    at 0x4C279AE: free (vg_replace_malloc.c:427)
==1819==    by 0x7EF754E: g_free (gmem.c:252)
==1819==    by 0x7F0B94E: g_slice_free1 (gslice.c:1111)
==1819==    by 0x7C8B8EB: g_type_free_instance (gtype.c:1937)
==1819==    by 0x6306A0A: gtk_activatable_do_set_related_action (gtkactivatable.c:455)
==1819==    by 0x64EA9A0: gtk_tool_item_dispose (gtktoolitem.c:317)
==1819==    by 0x7C70BD0: g_object_run_dispose (gobject.c:1061)
==1819==    by 0x64E44DE: gtk_toolbar_forall (gtktoolbar.c:2554)
==1819==    by 0x636BCB5: gtk_container_destroy (gtkcontainer.c:1369)
==1819==    by 0x7C6A742: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C7D4: signal_emit_unlocked_R (gsignal.c:3663)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x7C8CEB0: g_type_check_instance_cast (gtype.c:3994)
==1819==    by 0x544789B: cb_entry_changed (go-action-combo-text.c:86)
==1819==    by 0x539D5B0: go__BOOLEAN__POINTER (go-marshalers.c:126)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C83836: g_signal_emitv (gsignal.c:3037)
==1819==    by 0x5445335: go_signal_emit.constprop.0 (go-combo-text.c:133)
==1819==    by 0x5445441: cb_list_changed (go-combo-text.c:170)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1819==    by 0x7C847C1: g_signal_emit (gsignal.c:3352)
==1819==  Address 0x18399bf0 is 0 bytes inside a block of size 168 free'd
==1819==    at 0x4C279AE: free (vg_replace_malloc.c:427)
==1819==    by 0x7EF754E: g_free (gmem.c:252)
==1819==    by 0x7F0B94E: g_slice_free1 (gslice.c:1111)
==1819==    by 0x7C8B8EB: g_type_free_instance (gtype.c:1937)
==1819==    by 0x6306A0A: gtk_activatable_do_set_related_action (gtkactivatable.c:455)
==1819==    by 0x64EA9A0: gtk_tool_item_dispose (gtktoolitem.c:317)
==1819==    by 0x7C70BD0: g_object_run_dispose (gobject.c:1061)
==1819==    by 0x64E44DE: gtk_toolbar_forall (gtktoolbar.c:2554)
==1819==    by 0x636BCB5: gtk_container_destroy (gtkcontainer.c:1369)
==1819==    by 0x7C6A742: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C7D4: signal_emit_unlocked_R (gsignal.c:3663)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1819== 
==1819== Invalid read of size 8
==1819==    at 0x7C8CEBC: g_type_check_instance_cast (gtype.c:3999)
==1819==    by 0x544789B: cb_entry_changed (go-action-combo-text.c:86)
==1819==    by 0x539D5B0: go__BOOLEAN__POINTER (go-marshalers.c:126)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C83836: g_signal_emitv (gsignal.c:3037)
==1819==    by 0x5445335: go_signal_emit.constprop.0 (go-combo-text.c:133)
==1819==    by 0x5445441: cb_list_changed (go-combo-text.c:170)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1819==    by 0x7C847C1: g_signal_emit (gsignal.c:3352)
==1819==  Address 0xaaaaaaaaaaaaaaaa is not stack'd, malloc'd or (recently) free'd
==1819== 
==1819== 
==1819== Process terminating with default action of signal 11 (SIGSEGV)
==1819==  General Protection Fault
==1819==    at 0x7C8CEBC: g_type_check_instance_cast (gtype.c:3999)
==1819==    by 0x544789B: cb_entry_changed (go-action-combo-text.c:86)
==1819==    by 0x539D5B0: go__BOOLEAN__POINTER (go-marshalers.c:126)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C83836: g_signal_emitv (gsignal.c:3037)
==1819==    by 0x5445335: go_signal_emit.constprop.0 (go-combo-text.c:133)
==1819==    by 0x5445441: cb_list_changed (go-combo-text.c:170)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1819==    by 0x7C847C1: g_signal_emit (gsignal.c:3352)
==1819== 
==1819== HEAP SUMMARY:
==1819==     in use at exit: 6,782,437 bytes in 81,656 blocks
==1819==   total heap usage: 929,055 allocs, 847,400 frees, 74,316,180 bytes allocated
==1819== 
==1819== LEAK SUMMARY:
==1819==    definitely lost: 29,104 bytes in 23 blocks
==1819==    indirectly lost: 30,514 bytes in 940 blocks
==1819==      possibly lost: 321,629 bytes in 4,610 blocks
==1819==    still reachable: 6,401,190 bytes in 76,083 blocks
==1819==         suppressed: 0 bytes in 0 blocks
==1819== Rerun with --leak-check=full to see details of leaked memory
==1819== 
==1819== For counts of detected and suppressed errors, rerun with: -v
==1819== Use --track-origins=yes to see where uninitialised values come from
==1819== ERROR SUMMARY: 551 errors from 25 contexts (suppressed: 3 from 1)
Unicestwiony
Comment 11 Jean Bréfort 2012-03-17 06:49:05 EDT
Looks like a gtk+-3.3.x bug.
Comment 12 Julian Sikorski 2012-03-17 06:53:13 EDT
OK, reassigning.
Comment 13 Wolfgang Pirker 2012-03-17 07:15:10 EDT
Under gnome3 (tested Fedora-17-Beta-TC1-x86_64-Live-Desktop) these gnumeric crashs don't happen. But under XFCE it crashs like that when closing gnumeric.
Comment 14 M Welinder 2012-03-17 08:34:53 EDT
I don't believe your glib version.  We're looking for 2.something, not
1.2.something.

Most of the valgrind stuff is irrelevant, btw.  This is the meat:

Gtk-CRITICAL **: gtk_tree_selection_get_selected: assertion
`GTK_IS_TREE_SELECTION (selection)' failed
==1819== Invalid read of size 8
==1819==    at 0x5447711: set_entry_val (go-action-combo-text.c:70)
==1819==    by 0x544788B: cb_entry_changed (go-action-combo-text.c:85)
==1819==    by 0x539D5B0: go__BOOLEAN__POINTER (go-marshalers.c:126)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C83836: g_signal_emitv (gsignal.c:3037)
==1819==    by 0x5445335: go_signal_emit.constprop.0 (go-combo-text.c:133)
==1819==    by 0x5445441: cb_list_changed (go-combo-text.c:170)
==1819==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1819==    by 0x7C847C1: g_signal_emit (gsignal.c:3352)
==1819==  Address 0x18399c20 is 48 bytes inside a block of size 168 free'd
==1819==    at 0x4C279AE: free (vg_replace_malloc.c:427)
==1819==    by 0x7EF754E: g_free (gmem.c:252)
==1819==    by 0x7F0B94E: g_slice_free1 (gslice.c:1111)
==1819==    by 0x7C8B8EB: g_type_free_instance (gtype.c:1937)
==1819==    by 0x6306A0A: gtk_activatable_do_set_related_action
(gtkactivatable.c:455)
==1819==    by 0x64EA9A0: gtk_tool_item_dispose (gtktoolitem.c:317)
==1819==    by 0x7C70BD0: g_object_run_dispose (gobject.c:1061)
==1819==    by 0x64E44DE: gtk_toolbar_forall (gtktoolbar.c:2554)
==1819==    by 0x636BCB5: gtk_container_destroy (gtkcontainer.c:1369)
==1819==    by 0x7C6A742: g_closure_invoke (gclosure.c:777)
==1819==    by 0x7C7C7D4: signal_emit_unlocked_R (gsignal.c:3663)
==1819==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
Comment 15 Julian Sikorski 2012-03-17 08:56:38 EDT
This is what I have:
$ rpm -q gobject-introspection glib2 gtk3
gobject-introspection-1.31.20-1.fc17.x86_64
glib2-2.31.20-1.fc17.x86_64
gtk3-3.3.18-1.fc17.x86_64
Comment 16 M Welinder 2012-03-17 09:17:43 EDT
Created attachment 570798 [details]
Tentative patch

This might solve your problem.  I do not observe the problem so I cannot
tell for sure.

The underlying cause of this showing up now seems to be signaling changes
in gtk+.
Comment 17 M Welinder 2012-03-17 09:22:57 EDT
I would re-assign back, but I don't seem to have permission to do that.
Comment 18 Julian Sikorski 2012-03-17 09:53:29 EDT
Here is the scratch build with that patch included, it does not seem to help though:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3903159

[julas@branched ~]$ valgrind G_SLICE=always-malloc gnumeric
valgrind: G_SLICE=always-malloc: command not found
[julas@branched ~]$ export G_SLICE=always-malloc
[julas@branched ~]$ valgrind gnumeric
==1633== Memcheck, a memory error detector
==1633== Copyright (C) 2002-2011, and GNU GPL'd, by Julian Seward et al.
==1633== Using Valgrind-3.7.0 and LibVEX; rerun with -h for copyright info
==1633== Command: gnumeric
==1633== 
==1633== Conditional jump or move depends on uninitialised value(s)
==1633==    at 0x4017D96: index (strchr.S:56)
==1633==    by 0x40079E7: expand_dynamic_string_token (dl-load.c:430)
==1633==    by 0x400827C: _dl_map_object (dl-load.c:2288)
==1633==    by 0x400171D: map_doit (rtld.c:631)
==1633==    by 0x400ECB5: _dl_catch_error (dl-error.c:178)
==1633==    by 0x4000EE3: do_preload (rtld.c:820)
==1633==    by 0x40040B4: dl_main (rtld.c:1717)
==1633==    by 0x40151DA: _dl_sysdep_start (dl-sysdep.c:244)
==1633==    by 0x4004EF1: _dl_start (rtld.c:336)
==1633==    by 0x4001537: ??? (in /usr/lib64/ld-2.15.so)
==1633== 
==1633== Conditional jump or move depends on uninitialised value(s)
==1633==    at 0x4017D9B: index (strchr.S:59)
==1633==    by 0x40079E7: expand_dynamic_string_token (dl-load.c:430)
==1633==    by 0x400827C: _dl_map_object (dl-load.c:2288)
==1633==    by 0x400171D: map_doit (rtld.c:631)
==1633==    by 0x400ECB5: _dl_catch_error (dl-error.c:178)
==1633==    by 0x4000EE3: do_preload (rtld.c:820)
==1633==    by 0x40040B4: dl_main (rtld.c:1717)
==1633==    by 0x40151DA: _dl_sysdep_start (dl-sysdep.c:244)
==1633==    by 0x4004EF1: _dl_start (rtld.c:336)
==1633==    by 0x4001537: ??? (in /usr/lib64/ld-2.15.so)
==1633== 

** WARNING **: Running under buggy valgrind, see http://bugs.kde.org/show_bug.cgi?id=164298
==1633== Invalid read of size 8
==1633==    at 0x8780767: wcslen (wcslen.S:55)
==1633==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1633==    by 0x7F1B81B: g_utf8_collate_key (gunicollate.c:397)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89BD: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1633==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1633==    by 0x4032D0: main (main-application.c:271)
==1633==  Address 0x157e3960 is 48 bytes inside a block of size 52 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89BD: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1633==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1633==    by 0x4032D0: main (main-application.c:271)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x8780767: wcslen (wcslen.S:55)
==1633==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1633==    by 0x7F1B840: g_utf8_collate_key (gunicollate.c:399)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89BD: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1633==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1633==    by 0x4032D0: main (main-application.c:271)
==1633==  Address 0x157e3960 is 48 bytes inside a block of size 52 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89BD: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1633==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1633==    by 0x4032D0: main (main-application.c:271)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878074F: wcslen (wcslen.S:48)
==1633==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1633==    by 0x7F1B81B: g_utf8_collate_key (gunicollate.c:397)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1633==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1633==    by 0x4032D0: main (main-application.c:271)
==1633==  Address 0x157e3bc0 is 32 bytes inside a block of size 36 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1633==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1633==    by 0x4032D0: main (main-application.c:271)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878074F: wcslen (wcslen.S:48)
==1633==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1633==    by 0x7F1B840: g_utf8_collate_key (gunicollate.c:399)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1633==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1633==    by 0x4032D0: main (main-application.c:271)
==1633==  Address 0x157e3bc0 is 32 bytes inside a block of size 36 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4EE8A6E: func_builtin_init (func-builtin.c:441)
==1633==    by 0x4F0A089: gnm_init (libgnumeric.c:263)
==1633==    by 0x4032D0: main (main-application.c:271)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878077F: wcslen (wcslen.S:62)
==1633==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1633==    by 0x7F1B81B: g_utf8_collate_key (gunicollate.c:397)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4F6BCA5: plugin_service_function_group_activate (gnm-plugin.c:195)
==1633==    by 0x53D038C: go_plugin_activate (go-plugin.c:988)
==1633==    by 0x53D04AF: go_plugin_db_activate_plugin_list (go-plugin.c:1458)
==1633==    by 0x53D0DE2: go_plugins_init (go-plugin.c:1814)
==1633==    by 0x4033AF: main (main-application.c:300)
==1633==  Address 0x17001bf8 is 72 bytes inside a block of size 76 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4F6BCA5: plugin_service_function_group_activate (gnm-plugin.c:195)
==1633==    by 0x53D038C: go_plugin_activate (go-plugin.c:988)
==1633==    by 0x53D04AF: go_plugin_db_activate_plugin_list (go-plugin.c:1458)
==1633==    by 0x53D0DE2: go_plugins_init (go-plugin.c:1814)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878077F: wcslen (wcslen.S:62)
==1633==    by 0x8789A3E: wcsxfrm_l (strxfrm_l.c:102)
==1633==    by 0x7F1B840: g_utf8_collate_key (gunicollate.c:399)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4F6BCA5: plugin_service_function_group_activate (gnm-plugin.c:195)
==1633==    by 0x53D038C: go_plugin_activate (go-plugin.c:988)
==1633==    by 0x53D04AF: go_plugin_db_activate_plugin_list (go-plugin.c:1458)
==1633==    by 0x53D0DE2: go_plugins_init (go-plugin.c:1814)
==1633==    by 0x4033AF: main (main-application.c:300)
==1633==  Address 0x17001bf8 is 72 bytes inside a block of size 76 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B80C: g_utf8_collate_key (gunicollate.c:395)
==1633==    by 0x53A895A: go_string_get_collation (go-string.c:413)
==1633==    by 0x53A89C8: go_string_cmp (go-string.c:359)
==1633==    by 0x7EEE307: g_list_insert_sorted_real (glist.c:924)
==1633==    by 0x4EE4A32: gnm_func_group_fetch (func.c:828)
==1633==    by 0x4F6BCA5: plugin_service_function_group_activate (gnm-plugin.c:195)
==1633==    by 0x53D038C: go_plugin_activate (go-plugin.c:988)
==1633==    by 0x53D04AF: go_plugin_db_activate_plugin_list (go-plugin.c:1458)
==1633==    by 0x53D0DE2: go_plugins_init (go-plugin.c:1814)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x8780767: wcslen (wcslen.S:55)
==1633==    by 0x8788DDA: wcscoll_l (strcoll_l.c:111)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633==  Address 0x1c3652c8 is 0 bytes after a block of size 56 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B76B: g_utf8_collate (gunicollate.c:115)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878074F: wcslen (wcslen.S:48)
==1633==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633==  Address 0x1c365338 is 40 bytes inside a block of size 44 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x8780797: wcslen (wcslen.S:69)
==1633==    by 0x8788DDA: wcscoll_l (strcoll_l.c:111)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633==  Address 0x1c3653d0 is 80 bytes inside a block of size 84 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B76B: g_utf8_collate (gunicollate.c:115)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x8780797: wcslen (wcslen.S:69)
==1633==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633==    by 0x7C6FC77: g_object_constructor (gobject.c:1849)
==1633==  Address 0x1c365470 is 80 bytes inside a block of size 84 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x8780767: wcslen (wcslen.S:55)
==1633==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633==    by 0x7C6FC77: g_object_constructor (gobject.c:1849)
==1633==  Address 0x1c365818 is 56 bytes inside a block of size 60 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878074F: wcslen (wcslen.S:48)
==1633==    by 0x8788DDA: wcscoll_l (strcoll_l.c:111)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633==    by 0x7C6FC77: g_object_constructor (gobject.c:1849)
==1633==    by 0x7C71760: g_object_newv (gobject.c:1632)
==1633==  Address 0x1c365d48 is 40 bytes inside a block of size 44 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B76B: g_utf8_collate (gunicollate.c:115)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633==    by 0x7C6FC77: g_object_constructor (gobject.c:1849)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878077F: wcslen (wcslen.S:62)
==1633==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633==  Address 0x1c365fa0 is 64 bytes inside a block of size 68 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878077F: wcslen (wcslen.S:62)
==1633==    by 0x8788DDA: wcscoll_l (strcoll_l.c:111)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633==    by 0x7C8BA45: g_type_create_instance (gtype.c:1892)
==1633==  Address 0x1c366130 is 64 bytes inside a block of size 68 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B76B: g_utf8_collate (gunicollate.c:115)
==1633==    by 0x7F0C0A9: g_slist_sort_real (gslist.c:958)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C08F: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x7F0C07B: g_slist_sort_real (gslist.c:1000)
==1633==    by 0x539F9DC: go_fonts_list_families (go-font.c:186)
==1633==    by 0x4F8C14C: wbc_gtk_init (wbc-gtk.c:3357)
==1633== 

** WARNING **: In the `_Edycja->Wy_czyść' menu, the key `o' is used for both `K_omentarze' and `F_ormats & Hyperlinks in Filtered Rows'.

** WARNING **: In the `_Edycja->_Usuń' menu, the key `o' is used for both `K_omórki...' and `K_omentarze'.

** WARNING **: In the `_Edycja->A_rkusz' menu, the key `z' is used for both `_Zarządzaj arkuszami...' and `_Zduplikuj'.

** WARNING **: In the `_Edycja->Zaz_naczenie' menu, the key `w' is used for both `_Wszystko' and `_Wiersz'.

** WARNING **: In the `_Edycja->Zaz_naczenie' menu, the key `d' is used for both `_Depends' and `Przejdź _do komórki...'.

** WARNING **: In the `_Edycja' menu, the key `n' is used for both `Cof_nij' and `Zaz_naczenie'.

** WARNING **: In the `_Widok' menu, the key `w' is used for both `Nowy _widok...' and `_Windows'.

** WARNING **: In the `_Widok' menu, the key `p' is used for both `View _Properties...' and `_Powiększenie...'.

** WARNING **: In the `W_staw' menu, the key `k' is used for both `_Kolumny' and `Wy_kres...'.

** WARNING **: In the `W_staw' menu, the key `o' is used for both `K_omórki...' and `_Object'.

** WARNING **: In the `W_staw' menu, the key `o' is used for both `K_omórki...' and `_Obraz...'.

** WARNING **: In the `W_staw' menu, the key `o' is used for both `K_omórki...' and `K_omentarz...'.

** WARNING **: In the `W_staw' menu, the key `k' is used for both `_Kolumny' and `Odnośni_k...'.

** WARNING **: In the `_Format->_Arkusz' menu, the key `n' is used for both `Zmień _nazwę' and `Ukrywanie pionowego _nagłówka'.

** WARNING **: In the `_Statistics' menu, the key `p' is used for both `_Próbkowanie...' and `De_pendent Observations'.

** WARNING **: In the `_Statistics->_Two Sample Tests' menu, the key `d' is used for both `Two Me_dians' and `_Dwie wariancje: test F...'.

** WARNING **: In the `' menu, the key `s' is used for both `W_staw' and `_Statistics'.

** WARNING **: In the `_Dane->F_ill' menu, the key `s' is used for both `_Scal...' and `_Serie...'.

** WARNING **: In the `_Dane' menu, the key `s' is used for both `Po_sortuj...' and `_Sprawdź poprawność...'.

** WARNING **: In the `_Dane->_Grupy i konspekt' menu, the key `w' is used for both `_Wyświetl szczegóły' and `_Wiersze podsumowań po_niżej szczegółów'.
==1633== Invalid read of size 8
==1633==    at 0x8780767: wcslen (wcslen.S:55)
==1633==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1633==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1633==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1633==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1633==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1633==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1633==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1633==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1633==    by 0x7EF1B57: g_main_context_iterate.isra.23 (gmain.c:3118)
==1633==  Address 0x164d5588 is 56 bytes inside a block of size 60 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1633==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1633==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1633==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1633==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1633==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1633==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1633==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1633==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878077F: wcslen (wcslen.S:62)
==1633==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1633==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1633==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1633==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1633==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1633==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1633==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1633==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1633==    by 0x7EF1B57: g_main_context_iterate.isra.23 (gmain.c:3118)
==1633==  Address 0x1649b0d8 is 72 bytes inside a block of size 76 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1633==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1633==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1633==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1633==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1633==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1633==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1633==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1633==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x878074F: wcslen (wcslen.S:48)
==1633==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1633==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1633==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1633==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1633==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1633==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1633==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1633==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1633==    by 0x7EF1B57: g_main_context_iterate.isra.23 (gmain.c:3118)
==1633==  Address 0x1649b498 is 0 bytes after a block of size 40 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1633==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1633==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1633==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1633==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1633==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1633==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1633==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1633==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1633== 
==1633== Invalid read of size 8
==1633==    at 0x8780797: wcslen (wcslen.S:69)
==1633==    by 0x8788DCF: wcscoll_l (strcoll_l.c:110)
==1633==    by 0x7F1B779: g_utf8_collate (gunicollate.c:117)
==1633==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1633==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1633==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1633==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1633==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1633==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1633==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1633==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1633==    by 0x7EF1B57: g_main_context_iterate.isra.23 (gmain.c:3118)
==1633==  Address 0x1eba9b40 is 80 bytes inside a block of size 84 alloc'd
==1633==    at 0x4C2884D: malloc (vg_replace_malloc.c:263)
==1633==    by 0x7EF743E: g_malloc (gmem.c:159)
==1633==    by 0x7F1C420: _g_utf8_normalize_wc (gunidecomp.c:398)
==1633==    by 0x7F1B754: g_utf8_collate (gunicollate.c:114)
==1633==    by 0x53C26C1: go_utf8_collate_casefold (go-glib-extras.c:168)
==1633==    by 0x54478B8: g_strcase_equal (go-action-combo-text.c:79)
==1633==    by 0x54455BB: go_combo_text_set_text (go-combo-text.c:365)
==1633==    by 0x5447EE1: go_action_combo_text_set_entry (go-action-combo-text.c:264)
==1633==    by 0x4F89C80: wbc_gtk_style_feedback_real (wbc-gtk.c:3527)
==1633==    by 0x4F89E2A: cb_wbc_gtk_style_feedback (wbc-gtk.c:3536)
==1633==    by 0x7EF23AA: g_timeout_dispatch (gmain.c:3854)
==1633==    by 0x7EF173B: g_main_context_dispatch (gmain.c:2510)
==1633== 

Gtk-CRITICAL **: gtk_tree_selection_get_selected: assertion `GTK_IS_TREE_SELECTION (selection)' failed

Gdk-CRITICAL **: gdk_device_ungrab: assertion `GDK_IS_DEVICE (device)' failed

Gtk-CRITICAL **: gtk_tree_selection_get_selected: assertion `GTK_IS_TREE_SELECTION (selection)' failed
==1633== Invalid read of size 8
==1633==    at 0x5447E40: go_action_combo_text_get_entry (go-action-combo-text.c:243)
==1633==    by 0x4F8A908: cb_font_name_changed (wbc-gtk.c:3318)
==1633==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1633==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1633==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1633==    by 0x7C847C1: g_signal_emit (gsignal.c:3352)
==1633==    by 0x54478A3: cb_entry_changed (go-action-combo-text.c:86)
==1633==    by 0x539D5B0: go__BOOLEAN__POINTER (go-marshalers.c:126)
==1633==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1633==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1633==    by 0x7C83836: g_signal_emitv (gsignal.c:3037)
==1633==    by 0x5445335: go_signal_emit.constprop.0 (go-combo-text.c:133)
==1633==  Address 0x30 is not stack'd, malloc'd or (recently) free'd
==1633== 
==1633== 
==1633== Process terminating with default action of signal 11 (SIGSEGV)
==1633==  Access not within mapped region at address 0x30
==1633==    at 0x5447E40: go_action_combo_text_get_entry (go-action-combo-text.c:243)
==1633==    by 0x4F8A908: cb_font_name_changed (wbc-gtk.c:3318)
==1633==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1633==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1633==    by 0x7C845D9: g_signal_emit_valist (gsignal.c:3295)
==1633==    by 0x7C847C1: g_signal_emit (gsignal.c:3352)
==1633==    by 0x54478A3: cb_entry_changed (go-action-combo-text.c:86)
==1633==    by 0x539D5B0: go__BOOLEAN__POINTER (go-marshalers.c:126)
==1633==    by 0x7C6A803: g_closure_invoke (gclosure.c:777)
==1633==    by 0x7C7C4E7: signal_emit_unlocked_R (gsignal.c:3547)
==1633==    by 0x7C83836: g_signal_emitv (gsignal.c:3037)
==1633==    by 0x5445335: go_signal_emit.constprop.0 (go-combo-text.c:133)
==1633==  If you believe this happened as a result of a stack
==1633==  overflow in your program's main thread (unlikely but
==1633==  possible), you can try to increase the size of the
==1633==  main thread stack using the --main-stacksize= flag.
==1633==  The main thread stack size used in this run was 67108864.
==1633== 
==1633== HEAP SUMMARY:
==1633==     in use at exit: 6,623,591 bytes in 79,622 blocks
==1633==   total heap usage: 930,465 allocs, 850,843 frees, 74,842,677 bytes allocated
==1633== 
==1633== LEAK SUMMARY:
==1633==    definitely lost: 29,223 bytes in 23 blocks
==1633==    indirectly lost: 30,875 bytes in 939 blocks
==1633==      possibly lost: 312,765 bytes in 4,491 blocks
==1633==    still reachable: 6,250,728 bytes in 74,169 blocks
==1633==         suppressed: 0 bytes in 0 blocks
==1633== Rerun with --leak-check=full to see details of leaked memory
==1633== 
==1633== For counts of detected and suppressed errors, rerun with: -v
==1633== Use --track-origins=yes to see where uninitialised values come from
==1633== ERROR SUMMARY: 547 errors from 21 contexts (suppressed: 3 from 1)
Unicestwiony
[julas@branched ~]$
Comment 19 M Welinder 2012-03-17 18:58:13 EDT
The bug https://bugzilla.gnome.org/show_bug.cgi?id=645483 is one of the
causes for this crash.  I have been unable to get the gtk+ people to
look at it, though.

There is a change somewhere in gtk+ that is now causing signals to be
fired during something's destruction when they didn't use to.  I am
not setup to run with gtk+ 3.3.x
Comment 20 Julian Sikorski 2012-04-11 02:03:05 EDT
*** Bug 808972 has been marked as a duplicate of this bug. ***
Comment 21 Toby Haynes 2012-04-20 16:34:00 EDT
Closing gnumeric down.

backtrace_rating: 4
Package: gnumeric-1.11.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 M Welinder 2012-04-23 13:50:59 EDT
Gnumeric 1.11.3 _might_ work around this.
Comment 23 Wolfgang Pirker 2012-04-24 14:41:05 EDT
yes it looks like in gnumeric 1.11.3 it doesn't happen anymore, good.

Note You need to log in before you can comment on or make changes to this bug.